Bug 725115 - /bin/mountpoint is missing from boot.iso
/bin/mountpoint is missing from boot.iso
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-22 17:55 EDT by Brian Lane
Modified: 2013-07-04 08:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: lorax-16.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-12 06:22:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2011-07-22 17:55:40 EDT
ifup uses /etc/init.d/functions which uses /bin/mountpoint

maybe ifup shouldn't do that? I see that mountpoint is owned by sysvinit-tools which presumably aren't going to be installed so I'm not sure what is ultimately responsible.

Running 'ifup eth0' does bring up the network, but it spits out a number of errors about /bin/mountpoint missing.
Comment 1 Martin Gracik 2011-07-26 04:09:37 EDT
Well shouldn't we assign this to ifup then?
Comment 2 Martin Gracik 2011-07-29 03:53:28 EDT
So initscripts have sysvinit-tools as a dependency, and I fixed the removing of /bin/* in the template, so it should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.